---
title: Person
summary: View/Edit Person 
img:
pageid: app_form_person
domains: [App]
topics: [Examples]
date:   2023-03-19
author: helmutm
draft:  false
weight: 100
---

cyberscopes example site - view / edit person (user) data.

{{< pv/fieldset name="person" >}}

  {{< pv/tabs-mode >}}

  Id: {{< pv/input-textline name="id" defexpr="conf.itemid" >}}
  First Name: {{< pv/input-textline name="firstname" attrs="autofocus" >}}
  Last Name: {{< pv/input-textline name="lastname" >}}
  Email: {{< pv/input-textline name="email" default="hm@cy55.de" >}}

  {{< pv/button mode="query" action="query" label="Execute Query" >}}
  {{< pv/button mode="edit" label="Submit Data" >}}
  {{< pv/button mode="edit" action="delete" label="Delete" >}}
  {{< pv/button mode="new" label="Create Item" >}}

<br>
  {{< pv/display linkto="data.id"
        expr="`${data.firstname} ${data.lastname}`.trim() || '???'" >}}
<br>
  {{< pv/link >}}
    Reload page with id {{< pv/display name="id" >}}
  {{< /pv/link >}}

{{< /pv/fieldset >}}

{{< pv/debug >}}

[click here](?id=10127-180017)
